FavoriteProcessesOperations Class
FavoriteProcessesOperations operations.
You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.
- Inheritance
-
builtins.objectFavoriteProcessesOperations
Constructor
FavoriteProcessesOperations(client, config, serializer, deserializer)
Parameters
- client
Client for service requests.
- config
Configuration of service client.
- serializer
An object model serializer.
- deserializer
An object model deserializer.
Variables
- models
Alias to model classes used in this operation group.
Methods
| create |
Create or replace a favorite process for a Test Base Package. |
| delete |
Deletes a favorite process for a specific package. |
| get |
Gets a favorite process for a Test Base Package. |
| list |
Lists the favorite processes for a specific package. |
create
Create or replace a favorite process for a Test Base Package.
create(resource_group_name: str, test_base_account_name: str, package_name: str, favorite_process_resource_name: str, parameters: _models.FavoriteProcessResource, **kwargs: Any) -> _models.FavoriteProcessResource
Parameters
- favorite_process_resource_name
- str
The resource name of a favorite process in a package. If the process name contains characters that are not allowed in Azure Resource Name, we use 'actualProcessName' in request body to submit the name.
- parameters
- <xref:test_base.models.FavoriteProcessResource>
Parameters supplied to create a favorite process in a package.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
FavoriteProcessResource, or the result of cls(response)
Return type
Exceptions
delete
Deletes a favorite process for a specific package.
delete(resource_group_name: str, test_base_account_name: str, package_name: str, favorite_process_resource_name: str, **kwargs: Any) -> None
Parameters
- favorite_process_resource_name
- str
The resource name of a favorite process in a package. If the process name contains characters that are not allowed in Azure Resource Name, we use 'actualProcessName' in request body to submit the name.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
None, or the result of cls(response)
Return type
Exceptions
get
Gets a favorite process for a Test Base Package.
get(resource_group_name: str, test_base_account_name: str, package_name: str, favorite_process_resource_name: str, **kwargs: Any) -> _models.FavoriteProcessResource
Parameters
- favorite_process_resource_name
- str
The resource name of a favorite process in a package. If the process name contains characters that are not allowed in Azure Resource Name, we use 'actualProcessName' in request body to submit the name.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
FavoriteProcessResource, or the result of cls(response)
Return type
Exceptions
list
Lists the favorite processes for a specific package.
list(resource_group_name: str, test_base_account_name: str, package_name: str, **kwargs: Any) -> Iterable[_models.FavoriteProcessListResult]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
An iterator like instance of either FavoriteProcessListResult or the result of cls(response)
Return type
Exceptions
Attributes
models
models = <module 'azure.mgmt.testbase.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\testbase\\models\\__init__.py'>
Feedback
Submit and view feedback for